
import cv2
import numpy as np

def apply_random_color_filter(image_path):
    # Load the image
    image = cv2.imread(image_path)
    
    # Generate random colors for the filter
    random_color1 = np.random.randint(0, 255, 3)
    random_color2 = np.random.randint(0, 255, 3)
    
    # Create a mask for the filter
    mask = np.zeros_like(image)
    mask[:, :, 0] = random_color1[0]
    mask[:, :, 1] = random_color2[1]
    mask[:, :, 2] = random_color1[2]
    
    # Apply the color filter
    filtered_image = cv2.bitwise_and(image, mask)
    
    return filtered_image



